
<ion-app>
  <ngx-spinner
    bdColor="rgba(0, 0, 0, 0.8)"
    size="medium"
    color="#bebebe"
    type="ball-clip-rotate"
    [fullScreen]="true"
>
    <p style="color: #bebebe;">Xin chờ...</p>
</ngx-spinner>
  <ion-split-pane contentId="main-content" disabled="true">
    <ion-menu contentId="main-content" type="overlay" #menuIon (ionWillClose)="updateMenuState(false)" (ionWillOpen)="updateMenuState(true)"
    class="custom">
        <ion-content class="ion-menu-content">
          <div style="margin-top: -18px;">
            <div  *ngFor="let item of navbar; let i = index" class="border-b">
              <div class="p-2 capitalize hover:bg-gray-100" *ngIf="!item.child">
                <a class="focus:ring-0 focus:outline-none block w-full " [routerLink]="item.routing" (click)="close()">
                  <span class="text-lg">{{item.name}}</span>
                </a>
  
              </div>
              <div class="px-2 capitalize" *ngIf="item.child">
                <div class="grid grid-cols-12 ">
                  <div class="col-span-10">
                    <a class="focus:ring-0 focus:outline-none block w-full hover:bg-gray-100 py-3 text-lg" [routerLink]="item.routing" (click)="close()" >{{item.name}}</a>
                  </div>
                  <div class="col-span-2 justify-end flex items-center py-2" *ngIf="item.name !== show">
                    <ion-icon name="chevron-down-outline" (click)="showMenuSub(item.name)" ></ion-icon>
                  </div>
                  <div class="col-span-2 justify-end flex items-center py-2" *ngIf="item.name == show">
                    <ion-icon name="chevron-up-outline" (click)="showMenuSub(item.name)" ></ion-icon>
                  </div>
                </div>
                <div *ngIf="item.name == show">
                  <div *ngIf="item.id =='4'">
                    <div *ngFor="let i of item.child" class="transform border-t">
                      <a   [routerLink]="i.routing" class="hover:bg-gray-100 block px-4 py-2 focus:ring-0 focus:outline-none" role="menuitem" 
                      tabindex="-1" id="user-menu-item-0" (click)="close()" *ngIf="i.id == '10' && !isLogin">{{i.name}}</a>
                      <a   [routerLink]="i.routing" class="hover:bg-gray-100 block px-4 py-2 focus:ring-0 focus:outline-none" role="menuitem" 
                      tabindex="-1" id="user-menu-item-0" (click)="close()" *ngIf="i.id !== '10' && i.id !== '14'">{{i.name}}</a>
                      <a   [routerLink]="i.routing" class="hover:bg-gray-100 block px-4 py-2 focus:ring-0 focus:outline-none" role="menuitem" 
                      tabindex="-1" id="user-menu-item-0" (click)="close()" *ngIf="i.id == '14' && isLogin">{{i.name}}</a>
                    </div>
                  </div>
                  <!-- categories -->
                  <div *ngIf="item.id !=='4'">
                    <div *ngFor="let i of categories" class="transform border-t">
                      <!-- Sub categories -->
                      <div *ngIf="i.node.subCategory.edges?.length>0">
                        <div class="grid grid-cols-12 ">
                          <div class="col-span-10">
                            <!-- Cat Lv:0 -->
                            <a  [routerLink]="'/category/'+i.node.id" class="hover:bg-gray-100 block px-4 py-2 focus:ring-0 focus:outline-none" role="menuitem" 
                            tabindex="-1" id="user-menu-item-0" (click)="close()">{{i.node.name}} </a>
                          </div>
                          <!-- Icon Arrow -->
                          <div class="col-span-2 justify-end flex items-center " *ngIf="i.node.name !== showSub">
                            <ion-icon name="chevron-down-outline" (click)="showMenuSub2(i.node.name)" ></ion-icon>
                          </div>
                          <div class="col-span-2 justify-end flex items-center " *ngIf="i.node.name == showSub">
                            <ion-icon name="chevron-up-outline" (click)="showMenuSub2(i.node.name)" ></ion-icon>
                          </div>
                        </div>
                        
                        <!-- Show Sub categories lv:1 -->
                        <div *ngIf="i.node.name == showSub" class="focus:ring-0 focus:outline-none">
                          <span *ngFor="let sub of i.node.subCategory.edges">
                            <a [routerLink]="'/category/'+ sub.node.id"
                                class="hover:bg-gray-100 block px-8 py-2 cursor-pointer border-t focus:ring-0 focus:outline-none"
                                role="menuitem" tabindex="-1"
                                id="user-menu-item-0" (click)="close()">{{sub.node.name}}</a>
                         </span>
                        </div>
  
                      </div>
                      <!-- Cat Lv:0 no sub -->
                      <div *ngIf="i.node.subCategory.edges?.length==0" class="focus:ring-0 focus:outline-none">
                        <a [routerLink]="'/category/'+i.node.id"
                            class="hover:bg-gray-100 block px-4 py-2 focus:ring-0 focus:outline-none" role="menuitem"
                            tabindex="-1" id="user-menu-item-0" (click)="close()">{{i.node.name}}</a>
  
                      </div>
  
                    </div>
                  </div>
                </div>
              </div>
            </div> 
          </div>
 
          </ion-content>
    
    </ion-menu>

    <!-- <ion-header>
      <app-navbar>
      </app-navbar>
    <ion-router-outlet id="main-content" class=" mx-auto"></ion-router-outlet>
  </ion-header> -->
  <div class="ion-page" id="main-content">
    <!-- <app-navbar [showHeader]="showHeader"></app-navbar> -->
    <ion-content [scrollEvents]="true" (ionScroll)="logScrolling($event)">
      <app-navbar [showHeader]="showHeader"></app-navbar>
      <ion-router-outlet></ion-router-outlet>
      <div class="hidden md:block">
        <div class="fixed bottom-40 md:bottom-36 md:right-9 right-5 z-50" onclick="location.href='tel:+84906789543';">
          <img [src]="'assets/image/telephone.svg'" class="rounded-full cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger"
          style="border: 1px solid whitesmoke">
        </div>
        <div class="fixed bottom-28 md:bottom-20 md:right-9 right-5 z-50" 
          onclick=" window.open('https://m.me/haisanhoanggia')">
          <img [src]="'assets/image/messenger.svg'" class="rounded-full cursor-pointer md:h-12 md:w-12 h-10 w-10" 
          style="border: 1px solid whitesmoke"  alt="messenger">
        </div>
        <div class="fixed bottom-16 md:bottom-4 md:right-9 right-5 z-50 "
          onclick=" window.open('https://zalo.me/1850916183755726322')">
          <img [src]="'assets/image/zalo.svg'" class="rounded-full cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="zalo"
          style="border: 1px solid whitesmoke" >
        </div>
      </div>
      <div  class="fixed bottom-12 px-6 z-10 md:hidden block w-full" style="background-color: #fff; opacity: 0.88;" *ngIf="cartItemsNo>0">
        <div class="md:flex md:justify-between items-center py-2 text-xs">
            <a [routerLink]=" isLogin ? '/my-account/edit-profile' : '/auth/login'">
                <div class="flex items-center cursor-pointer" >
                    <div  class="md:block hidden">
                        <mat-icon>edit</mat-icon>
                    </div>
                    <span class="font-medium md:pl-2 truncate">Giao hàng tới : {{formatAddressUser}}</span>
                </div>
              </a>
            <a routerLink="/cart">
              <div class="mt-1 cursor-pointer">
                  <span class="font-medium">Giỏ hàng ({{cartItemsNo}}) : {{subTotal |number: '0.0-1':'vi'}}đ</span>
                  <span *ngIf="cartItemsNo>0"> (Không bao gồm thuế)</span>
              </div>
            </a>
        </div>
    </div>
    <div class="fixed bottom-0 md:hidden w-full">
      <div class="bg-white p-1" style="box-shadow: 0 0 1rem rgba(0, 0, 0, 0.15) !important;"> 
        <div class="grid grid-cols-12">
          <div class="col-span-4 flex justify-center" onclick="location.href='tel:+84906789543';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
          </div>
          <div class="col-span-4 flex justify-center"
            onclick=" window.open('https://m.me/haisanhoanggia')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
          </div>
          <div class="col-span-4 flex justify-center"
            onclick=" window.open('https://zalo.me/1850916183755726322')">
            <img [src]="'assets/image/zalo.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="zalo">
          </div>
        </div>
      </div>
    </div>
    </ion-content>

  </div>
  <!-- <ion-router-outlet id="main-content" class=" mx-auto"></ion-router-outlet> -->

  </ion-split-pane>

  <div [ngClass]="menuState ? 'block' : 'hidden'">
    <!-- <ion-icon name="close-outline" class="fixed right-1 top-1 cursor-pointer text-white font-bold" 
    style="font-size: 50px; z-index: 1001;" (click)="close()"></ion-icon> -->
    <mat-icon class="fixed right-1 top-1 cursor-pointer text-white font-bold" 
    style="font-size: 45px; z-index: 1001; width: 45px; height: 45px;" (click)="close()">close</mat-icon>
  </div>
</ion-app>
